### Method

# AppStream Reference get_value

#### Declaration [src]

    const gchar*
    as_reference_get_value (
      AsReference* reference
    )

#### Description [src]

Gets the value of this reference, e.g. a DOI if the reference kind is `AS_REFERENCE_KIND_DOI` or an URL for `AS_REFERENCE_KIND_CITATION_CFF`.

#### Return value

Type: `const gchar*`

The value of this reference.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.